import {PWInboxWidget as InboxWidget} from '../../src';
import {expect} from 'chai';
import {commonParams} from '../constants';

export default () => {
    it('Trigger should contain classname pw-inbox-trigger', () => {
        const inbox = new InboxWidget(commonParams as any);
        expect(inbox.trigger.className).to.include('pw-inbox-trigger');
    });

    it('Start counter should be 0', () => {
        const inbox = new InboxWidget(commonParams as any);
        expect(inbox.count).to.equal(0);
    });

    it('Widget should be closed', () => {
        const inbox = new InboxWidget(commonParams as any);
        expect(inbox.isOpened).to.equal(false);
    });
}